from django.db import models
from account.models import Account
# Create your models here.
from django.db import models

class Fundi(models.Model):
    fundi = models.CharField(max_length=255, blank=True, null=True)
    fundi_details = models.CharField(max_length=100, blank=True, null=True)
    added_by = models.ForeignKey(Account, on_delete=models.CASCADE, null=True, blank=True)
    created_at = models.DateTimeField(auto_now_add=True)
    updated_at = models.DateTimeField(auto_now=True)

    def to_dict(self):
        """
        Converts Fundi object to a dictionary representation.
        """
        return {
            'id': self.id,
            'fundi': self.fundi,
            'fundi_details': self.fundi_details,
            # ... include other relevant fields
        }

    def __str__(self):
        return self.fundi
